import json
import os

from flask import Flask, request

app = Flask(__name__)


def get_request_params():
    request_json = request.get_json(silent=True)
    request_args = request.args
    if request_json:
        return request_json
    elif request_args:
        return request_args
    else:
        return None


@app.route("/", methods=("GET", "POST"))
def index():
    return json.dumps(
        {"headers": {k: v for k, v in request.headers}, "params": get_request_params()}
    )


if __name__ == "__main__":
    app.run(host="0.0.0.0", port=int(os.environ.get("PORT", 8080)), debug=True)
